%define name	gnomeradio
%define version	1.5
%define cvs	20041208
%define release	0.%{cvs}.3mdk

Summary:	A FM-Tuner program for Gnome
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
Source0:	%{name}-%{version}-%{cvs}.tar.bz2
Source1:	%{name}_16.png
Source2:	%{name}_32.png
Source3:	%{name}_48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://mfcn.ilo.de/gnomeradio/
BuildRequires:	pkgconfig
BuildRequires:	libgnomeui2-devel
BuildRequires:	scrollkeeper
BuildRequires:	liblirc-devel
BuildRequires:	gnome-common
BuildRequires:	automake1.7
BuildRequires:	intltool

%description
Gnomeradio is a FM radio tuner for the GNOME desktop.
It should work with every FM tuner card that is supported
by video4linux. Remote controls are supported via (optional)
lirc-support. Gnomeradio can also record radio as a Wave,
MP3 or Ogg files.


%prep
%setup -q -n %{name}-%{version}-%{cvs}

%build
./autogen.sh
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL


(cd $RPM_BUILD_ROOT
mkdir -p .%{_menudir}
cat > .%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
icon="%{name}.png"\
title="Gnomeradio"\
longtitle="A FM-Tuner program for Gnome"\
needs="x11"\
section="Multimedia/Sound"
EOF
)

install -d %buildroot/%_miconsdir
install -d %buildroot/%_liconsdir
install -d %buildroot/%_iconsdir

install -m644 %{SOURCE1} %buildroot/%_miconsdir/%{name}.png
install -m644 %{SOURCE2} %buildroot/%_iconsdir/%{name}.png
install -m644 %{SOURCE3} %buildroot/%_liconsdir/%{name}.png

# Are these needed?
rm -rf %buildroot/var/lib/scrollkeeper/*

%{find_lang} %{name}

%post
%update_menus
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update ||true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnomeradio.schemas > /dev/null

%preun
if [ "$1" = "0" ]; then
  GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnomeradio.schemas > /dev/null
fi

%postun
%clean_menus
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update ||true ; fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README README.lirc README.recording TODO
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/gnomeradio.schemas
%{_datadir}/pixmaps/radio.png
%{_datadir}/pixmaps/gnomeradio.png
%{_datadir}/applications/gnomeradio.desktop
%dir %{_datadir}/omf/gnomeradio
%{_datadir}/omf/gnomeradio/gnomeradio-C.omf
%dir %{_datadir}/gnome/help/gnomeradio
%{_datadir}/gnome/help/gnomeradio/C/*
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5-0.20041208.3mdk 
- Rebuild with latest howl
- add schema uninstall

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 1.5-0.20041208.2mdk
- buildrequires intltool

* Wed Dec 08 2004 Marcel Pol ,mpol@mandrake.org> 1.5-0.20041208.1mdk
- cvs snapshot
- buildrequires gnome-common automake1.7
- update filelist

* Fri Jul 11 2003 Marcel Pol <mpol@gmx.net> 1.4-3mdk
- own dirs

* Sun Apr 13 2003 Marcel Pol <mpol@gmx.net> 1.4-2mdk
- buildrequires

* Fri Apr 11 2003 Marcel Pol <mpol@gmx.net> 1.4-1mdk
- initial mandrake package
